Receive Message
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/facebook/{workspaceId}/facebook/{credentialsId}/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entry": [
{
"id": "<string>",
"time": 123,
"messaging": [
{
"sender": {
"id": "<string>"
},
"recipient": {
"id": "<string>"
},
"timestamp": 123,
"message": {
"mid": "<string>",
"text": "<string>",
"is_echo": true,
"quick_reply": {
"payload": "<string>",
"title": "<string>"
},
"attachments": [
{
"payload": {
"url": "<string>"
}
}
]
},
"postback": {
"payload": "<string>"
}
}
],
"changes": [
{
"field": "<string>",
"value": {
"id": "<string>",
"comment_id": "<string>",
"text": "<string>",
"message": "<string>",
"parent_id": "<string>",
"post_id": "<string>",
"created_time": 123,
"timestamp": 123,
"media": {
"id": "<string>"
},
"from": {
"id": "<string>",
"name": "<string>"
}
}
}
]
}
]
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/facebook/{workspaceId}/facebook/{credentialsId}/webhook"
payload = { "entry": [
{
"id": "<string>",
"time": 123,
"messaging": [
{
"sender": { "id": "<string>" },
"recipient": { "id": "<string>" },
"timestamp": 123,
"message": {
"mid": "<string>",
"text": "<string>",
"is_echo": True,
"quick_reply": {
"payload": "<string>",
"title": "<string>"
},
"attachments": [{ "payload": { "url": "<string>" } }]
},
"postback": { "payload": "<string>" }
}
],
"changes": [
{
"field": "<string>",
"value": {
"id": "<string>",
"comment_id": "<string>",
"text": "<string>",
"message": "<string>",
"parent_id": "<string>",
"post_id": "<string>",
"created_time": 123,
"timestamp": 123,
"media": { "id": "<string>" },
"from": {
"id": "<string>",
"name": "<string>"
}
}
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entry: [
{
id: '<string>',
time: 123,
messaging: [
{
sender: {id: '<string>'},
recipient: {id: '<string>'},
timestamp: 123,
message: {
mid: '<string>',
text: '<string>',
is_echo: true,
quick_reply: {payload: '<string>', title: '<string>'},
attachments: [{payload: {url: '<string>'}}]
},
postback: {payload: '<string>'}
}
],
changes: [
{
field: '<string>',
value: {
id: '<string>',
comment_id: '<string>',
text: '<string>',
message: '<string>',
parent_id: '<string>',
post_id: '<string>',
created_time: 123,
timestamp: 123,
media: {id: '<string>'},
from: {id: '<string>', name: '<string>'}
}
}
]
}
]
})
};
fetch('http://127.0.0.1:3333/v3/integrations/facebook/{workspaceId}/facebook/{credentialsId}/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Facebook
Receive Message
Receive Facebook Message.
POST
/
v3
/
integrations
/
facebook
/
{workspaceId}
/
facebook
/
{credentialsId}
/
webhook
Receive Message
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/facebook/{workspaceId}/facebook/{credentialsId}/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entry": [
{
"id": "<string>",
"time": 123,
"messaging": [
{
"sender": {
"id": "<string>"
},
"recipient": {
"id": "<string>"
},
"timestamp": 123,
"message": {
"mid": "<string>",
"text": "<string>",
"is_echo": true,
"quick_reply": {
"payload": "<string>",
"title": "<string>"
},
"attachments": [
{
"payload": {
"url": "<string>"
}
}
]
},
"postback": {
"payload": "<string>"
}
}
],
"changes": [
{
"field": "<string>",
"value": {
"id": "<string>",
"comment_id": "<string>",
"text": "<string>",
"message": "<string>",
"parent_id": "<string>",
"post_id": "<string>",
"created_time": 123,
"timestamp": 123,
"media": {
"id": "<string>"
},
"from": {
"id": "<string>",
"name": "<string>"
}
}
}
]
}
]
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/facebook/{workspaceId}/facebook/{credentialsId}/webhook"
payload = { "entry": [
{
"id": "<string>",
"time": 123,
"messaging": [
{
"sender": { "id": "<string>" },
"recipient": { "id": "<string>" },
"timestamp": 123,
"message": {
"mid": "<string>",
"text": "<string>",
"is_echo": True,
"quick_reply": {
"payload": "<string>",
"title": "<string>"
},
"attachments": [{ "payload": { "url": "<string>" } }]
},
"postback": { "payload": "<string>" }
}
],
"changes": [
{
"field": "<string>",
"value": {
"id": "<string>",
"comment_id": "<string>",
"text": "<string>",
"message": "<string>",
"parent_id": "<string>",
"post_id": "<string>",
"created_time": 123,
"timestamp": 123,
"media": { "id": "<string>" },
"from": {
"id": "<string>",
"name": "<string>"
}
}
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entry: [
{
id: '<string>',
time: 123,
messaging: [
{
sender: {id: '<string>'},
recipient: {id: '<string>'},
timestamp: 123,
message: {
mid: '<string>',
text: '<string>',
is_echo: true,
quick_reply: {payload: '<string>', title: '<string>'},
attachments: [{payload: {url: '<string>'}}]
},
postback: {payload: '<string>'}
}
],
changes: [
{
field: '<string>',
value: {
id: '<string>',
comment_id: '<string>',
text: '<string>',
message: '<string>',
parent_id: '<string>',
post_id: '<string>',
created_time: 123,
timestamp: 123,
media: {id: '<string>'},
from: {id: '<string>', name: '<string>'}
}
}
]
}
]
})
};
fetch('http://127.0.0.1:3333/v3/integrations/facebook/{workspaceId}/facebook/{credentialsId}/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Default Response
⌘I